xcb_xkb_set_map(3)

NAME
xcb_xkb_set_map -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_set_map(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, uint16_t present, uint16_t flags, xcb_keycode_t minKeyCode, xcb_keycode_t maxKeyCode, uint8_t firstType, uint8_t nTypes, xcb_keycode_t firstKeySym, uint8_t nKeySyms, uint16_t totalSyms, xcb_keycode_t firstKeyAction, uint8_t nKeyActions, uint16_t totalActions, xcb_keycode_t firstKeyBehavior, uint8_t nKeyBehaviors, uint8_t totalKeyBehaviors, xcb_keycode_t firstKeyExplicit, uint8_t nKeyExplicit, uint8_t totalKeyExplicit, xcb_keycode_t firstModMapKey, uint8_t nModMapKeys, uint8_t totalModMapKeys, xcb_keycode_t firstVModMapKey, uint8_t nVModMapKeys, uint8_t totalVModMapKeys, uint16_t virtualMods, const void *values);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

present
    TODO: NOT YET DOCUMENTED.

flags
    TODO: NOT YET DOCUMENTED.

minKeyCode
    TODO: NOT YET DOCUMENTED.

maxKeyCode
    TODO: NOT YET DOCUMENTED.

firstType
    TODO: NOT YET DOCUMENTED.

nTypes
    TODO: NOT YET DOCUMENTED.

firstKeySym
    TODO: NOT YET DOCUMENTED.

nKeySyms
    TODO: NOT YET DOCUMENTED.

totalSyms
    TODO: NOT YET DOCUMENTED.

firstKeyAction
    TODO: NOT YET DOCUMENTED.

nKeyActions
    TODO: NOT YET DOCUMENTED.

totalActions
    TODO: NOT YET DOCUMENTED.

firstKeyBehavior
    TODO: NOT YET DOCUMENTED.

nKeyBehaviors
    TODO: NOT YET DOCUMENTED.

totalKeyBehaviors
    TODO: NOT YET DOCUMENTED.

firstKeyExplicit
    TODO: NOT YET DOCUMENTED.

nKeyExplicit
    TODO: NOT YET DOCUMENTED.

totalKeyExplicit
    TODO: NOT YET DOCUMENTED.

firstModMapKey
    TODO: NOT YET DOCUMENTED.

nModMapKeys
    TODO: NOT YET DOCUMENTED.

totalModMapKeys
    TODO: NOT YET DOCUMENTED.

firstVModMapKey
    TODO: NOT YET DOCUMENTED.

nVModMapKeys
    TODO: NOT YET DOCUMENTED.

totalVModMapKeys
    TODO: NOT YET DOCUMENTED.

virtualMods
    TODO: NOT YET DOCUMENTED.

values
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_set_map_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.